namespace AddisonWesley.Michaelis.EssentialCSharp.Chapter04.Listing04_54
{
    public class Program
    {
        public static void Main(string[] args)
        {
            bool isOutputSet = false;
            bool isFiltered = false;
            bool isRecursive = false;

            foreach(string option in args)
            {
                switch(option)
                {
                    case "/out":
                        isOutputSet = true;
                        isFiltered = false;
                        goto default;
                    case "/f":
                        isFiltered = true;
                        isRecursive = false;
                        goto default;
                    default:
                        if(isRecursive)
                        {
                            // Rekurencyjne przechodzenie w dół hierarchii.
                            // …
                        }
                        else if (isFiltered)
                        {
                            // Dodawanie opcji do listy filtrów.
                            // ...
                        }
                        break;
                }

            }

            // ...

        }
    }
}
